﻿namespace U2UConsult.T9.Sample.Converters
{
    using System;
    using System.Globalization;
    using System.Windows.Data;
    using System.Windows.Media;

    /// <summary>
    /// Converts a State into a Brush.
    /// </summary>
    [ValueConversion(typeof(States), typeof(Brush))]
    public class ColorConverter : IValueConverter
    {
        public object Convert(
            object value, 
            Type targetType,
            object parameter, 
            CultureInfo culture)
        {
            States state = (States)value;

            switch (state)
            {
                case States.SingleMatch:
                    return new SolidColorBrush(Colors.LightGreen);
                case States.MultipleMatches:
                    return new SolidColorBrush(Colors.Yellow);
                case States.NoMatch:
                    return new SolidColorBrush(Colors.Red);
            }

            return new SolidColorBrush(Colors.White);
        }

        public object ConvertBack(
            object value, 
            Type targetType,
            object parameter, 
            CultureInfo culture)
        {
            return null;
        }
    }
}
